# Review: https://bugzilla.redhat.com/show_bug.cgi?id=499283

Name:           xfce4-radio-plugin
Version:        0.4.1
Release:        1%{?dist}
Summary:        Video4linux radio device control plugin for the Xfce panel

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  xfce4-panel-devel >= 4.3.22, libxfcegui4-devel >= 4.4.0
BuildRequires:  gettext, intltool
Requires:       xfce4-panel >= 4.4.0
 
%description
Xfce panel plugin to control video4linux radio devices. To run it, all you need
is the Xfce panel and a properly configured Video4linux radio device.

Left-click on the plugin’s icon to switch your radio on/off. Once turned on,
the middle button will show you the station preset menu. The mouse wheel
allows you to change frequency or station preset.


%prep
%setup -q
# convert NEWS to UTF-8 with preserving the timestamp
mv NEWS timestamp
iconv -f ISO-8859-1 -t UTF-8 -o NEWS timestamp
touch -r timestamp NEWS


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README NEWS
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/icons/hicolor/*/apps/xfce-radio.*


%changelog
* Thu Feb 19 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Fri Jul 11 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.1-1
- Update to 0.3.1

* Wed Aug 29 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.0-1
- Initial Fedora package
